use jid::JID;
use uuid::Uuid;

use crate::{roster::Contact, user::User};

#[derive(Debug)]
pub struct Message {
    id: Uuid,
    // contains full user information
    from: Correspondent,
    body: Body,
}

#[derive(Debug)]
pub struct Body {
    // TODO: rich text, other contents, threads
    body: String,
}

pub struct Chat {
    correspondent: Correspondent,
    message_history: Vec<Message>,
}

#[derive(Debug)]
pub enum Correspondent {
    User(User),
    Contact(Contact),
}

// TODO: group chats
// pub enum Chat {
//     Direct(DirectChat),
//     Channel(Channel),
// }
// pub struct Channel {}
